Get Asset Transfer Records
Response Example
{
"success": true,
"code": 0,
"data": {
"pageSize": 20,
"totalCount": 1,
"totalPage": 1,
"currentPage": 1,
"resultList": [
{
"id": 303381159,
"txid": "86f334f8850346e89ce4d0ba52b7aa87",
"currency": "USDT",
"amount": 1,
"type": "IN",
"state": "SUCCESS",
"createTime": 1760537642000,
"updateTime": 1760537641000
}
]
}
}
- GET
/api/v1/private/account/transfer_record
Required Permission: View Account Details
Request Parameters:
| Parameter | Type | Required | Description |
|---|---|---|---|
| currency | string | false | Currency |
| state | string | false | Status: WAIT 、SUCCESS 、FAILED |
| type | string | false | Type: IN 、OUT |
| page_num | int | true | Current page, default 1 |
| page_size | int | true | Page size, default 20, max 100 |
Response Parameters:
| Parameter | Type | Description |
|---|---|---|
| pageSize | int | Page size |
| totalCount | int | Total count |
| totalPage | int | Total pages |
| currentPage | int | Current page |
| resultList | list | Result set |
| id | long | id |
| txid | string | Transaction ID |
| currency | string | Currency |
| amount | decimal | Transfer amount |
| type | string | Type: IN 、OUT |
| state | string | Status: WAIT 、SUCCESS 、FAILED |
| createTime | long | Created time |
| updateTime | long | Updated time |